# $Revision: 1.76 $, $Date: 2009/03/17 18:51:34 $
#
# Conditional build:
%bcond_with	tests	# build regression tests programs
#
%include	/usr/lib/rpm/macros.perl
#
Summary:	API documentation generation tool for GTK+ and GNOME
Summary(es.UTF-8):	El generador de documentación del GTK
Summary(pl.UTF-8):	Narzędzie do generowania dokumentacji API do GTK+ i GNOME
Summary(pt_BR.UTF-8):	O gerador de documentação do GTK
Name:		gtk-doc
Version:	1.11
Release:	2
License:	GPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.11/%{name}-%{version}.tar.bz2
# Source0-md5:	b5e268c71fa90aad890cf53715664d0a
Patch0:		%{name}-noarch.patch
Patch1:		%{name}-spaces.patch
URL:		http://www.gtk.org/rdp/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml >= 1.0-10
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl >= 1.74.0
%{?with_tests:BuildRequires:	glib2-devel >= 1:2.6.0}
BuildRequires:	gnome-common >= 2.12.0-3
BuildRequires:	gnome-doc-utils >= 0.3.2
%{?with_tests:BuildRequires:	libtool}
BuildRequires:	libxslt-progs >= 1.1.15
BuildRequires:	openjade
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	python >= 2.3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	scrollkeeper >= 1:0.3.5
Requires(post,postun):	scrollkeeper
Requires:	%{name}-automake = %{version}-%{release}
Requires:	docbook-dtd43-xml
Requires:	docbook-style-dsssl >= 1.77
Requires:	docbook-style-xsl >= 1.74.0
Requires:	docbook-utils >= 0.6.10
Requires:	libxslt-progs >= 1.1.15
Requires:	openjade
Conflicts:	pkgconfig < 1:0.19
%{!?with_tests:BuildArch:	noarch}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# architecture-independant pkgconfig dir
%define		_pkgconfigdir	%{_datadir}/pkgconfig

%description
gtk-doc is a tool for generating API reference documentation. It is
used for generating the documentation for GTK+, GLib and GNOME.

%description -l pl.UTF-8
gtk-doc jest narzędziem do generowania dokumentacji API. Jest używany
do generowania dokumentacji GLib, GTK+ i GNOME.

%package automake
Summary:	Automake macros for gtk-doc
Summary(pl.UTF-8):	Makra automake'a do gtk-doc
Group:		Development/Tools
Requires:	automake
Conflicts:	gtk-doc < 0:1.4-3

%description automake
Automake macros for gtk-doc.

%description automake -l pl.UTF-8
Makra automake'a do gtk-doc.

%package common
Summary:	Common directories for documetation generated using gtk-doc
Summary(pl.UTF-8):	Katalogi na dokumentację wygenerowaną za pomocą gtk-doc
Group:		Development

%description common
Common directories for API documentation for various packages,
generated using gtk-doc.

%description common -l pl.UTF-8
Katalogi na dokumentację API do różnych pakietów, wygenerowaną za
pomocą gtk-doc.

%prep
%setup -q
%{!?with_tests:%patch0 -p1}
%patch1 -p1
mv -f doc/README doc/README.docs

%build
%{__gnome_doc_common}
%{?with_tests:%{__libtoolize}}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_gtkdocdir} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS TODO README doc/*
%attr(755,root,root) %{_bindir}/gtkdoc-*
%attr(755,root,root) %{_bindir}/gtkdocize
%{_datadir}/gtk-doc
%{_pkgconfigdir}/%{name}.pc
%{_datadir}/sgml/%{name}
%{_examplesdir}/%{name}-%{version}

%files automake
%defattr(644,root,root,755)
%{_aclocaldir}/gtk-doc.m4

%files common
%defattr(644,root,root,755)
%dir %{_docdir}/gtk-doc
%dir %{_gtkdocdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-doc.spec,v $
Revision 1.76  2009/03/17 18:51:34  duddits
- spaces.patch added; resolves bug #575574:
  http://bugzilla.gnome.org/show_bug.cgi?id=575574 (issue with spaces
  in file names)

Revision 1.75  2008/11/29 13:44:06  qboosh
- updated runtime xsl dependency as well

Revision 1.74  2008/11/28 11:20:42  sls
- added noarch.patch
- added tests bcond
- rel. 2

Revision 1.73  2008/11/27 19:28:59  sls
- BR: rpm-pythonprov in, docbook-utils out

Revision 1.72  2008/11/27 17:59:00  sls
- not Required: gnome-doc-tools

Revision 1.71  2008/11/27 00:47:29  sls
- BR: docbook-style-xsl >= 1.74.0

Revision 1.70  2008/11/17 18:32:32  qboosh
- BR: gnome-doc-utils, python
- uses DocBook XML V4.3 DTD now

Revision 1.69  2008/11/17 13:51:49  megabajt
- updated to 1.11

Revision 1.68  2008/03/20 20:10:41  qboosh
- libtoolize (fixes build with libtool 2.2)
- BR: glib2-devel (for tests)
- perl epoch

Revision 1.67  2008-03-20 15:43:13  megabajt
- updated to 1.10
- use --with-omf
- adapterized

Revision 1.66  2008-03-19 15:00:02  glen
- use %{_gtkdocdir} macro

Revision 1.65  2008-03-19 14:58:03  glen
- reverted, fix your pkg or fix %{_gtkdocdir} macro

Revision 1.64  2008-03-19 14:48:16  hawk
- added %{_datadir}/gtk-doc/html to fix broken directory deps in
  python-gnome-desktop, release 2

Revision 1.63  2008-01-23 18:53:28  qboosh
- more verbose files

Revision 1.62  2008-01-23 18:51:58  qboosh
- comment: package should be still noarch, only autoconf refuses it

Revision 1.61  2008-01-15 14:18:17  patrys
- 1.9
- no longer noarch

Revision 1.60  2007-08-05 19:14:08  wolvverine
- rel.2

Revision 1.59  2007/02/16 18:33:40  megabajt
- updated to 1.8

Revision 1.58  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.56  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.55  2006/08/20 18:37:01  freetz
- rel.3

Revision 1.54  2006/08/09 18:50:10  freetz
- rel.2

Revision 1.53  2006/08/09 17:17:32  qboosh
- require gnome-common >= 2.12.0-3 for autoconf 2.60 compatibility

Revision 1.52  2006/08/08 16:22:15  freetz
- 1.7, updated file list

Revision 1.51  2006/07/16 20:43:18  pluto
- release 3.

Revision 1.50  2006/06/29 18:37:23  freetz
- rm xmldocs.make

Revision 1.49  2006/06/29 18:25:05  freetz
- restore find_lang macro, rel.2.9

Revision 1.48  2006/06/29 17:17:27  freetz
- refresh xmldocs.make, rel.2.1

Revision 1.47  2006/06/29 12:33:51  pluto
- no international files, release 2.

Revision 1.46  2006/04/22 07:22:24  qboosh
- pkgconfig epoch

Revision 1.45  2006/04/21 22:11:00  freetz
- BR: pkgconfig >= 0.19

Revision 1.44  2006/04/10 17:02:26  qboosh
- noarch pkgconfigdir needs pkgconfig >= 1:0.19

Revision 1.43  2006/04/10 16:38:17  freetz
- 1.6, BA: noarch, include perl macros, use architecture-independant
  pkgconfdir

Revision 1.42  2006/03/07 16:20:05  freetz
- 1.5, updated file list, update scrollkeeper database (post, postun)

Revision 1.41  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.40  2006/01/15 13:17:45  qboosh
- License is GPL (v2+), release 4

Revision 1.39  2005/09/23 13:10:18  qboosh
- Development Group for subpackages, keep the same order

Revision 1.38  2005/09/23 12:08:15  djurban
- the earlier commit also bumped rel. 3

Revision 1.37  2005/09/23 12:07:52  djurban
- omve automake macros into subpackage so we dont need the whole package and its requires
  to build gtk apps without documentation

Revision 1.36  2005/09/07 12:01:02  paladine
- BR/R: libxslt-progs >= 1.1.15
- rel. 2

Revision 1.35  2005/07/07 11:29:07  freetz
- 1.4, colon-patch already included

Revision 1.34  2005/03/27 18:04:27  freetz
- fix problems with libgphoto2 build (added colon patch), rel.2

Revision 1.33  2005/02/06 20:04:55  grzegol
- updated to 1.3
- added more docs and examples

Revision 1.32  2004/10/26 12:48:36  qboosh
- cleanup

Revision 1.31  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.30  2004/08/08 00:32:47  ankry
- it is not noarch because of %%{_pkgconfigdir} usage, rel. 2

Revision 1.29  2004/02/16 17:05:00  grzegol
- updated to 1.2
- added BR: perl-base
- removed --enable-public-id - outdated

Revision 1.28  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:48:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/06 20:25:27  mkochano
- Release 1.1.
- BR: docbook-dtd412-xml >= 1.0-10, docbook-style-xsl.

Revision 1.25  2003/04/18 09:37:47  grzegol
- updated to 1.1

Revision 1.24  2003/01/20 14:13:45  aflinta
- updated to version 1.0

Revision 1.23  2002/11/17 17:28:43  kloczek
- more macros.

Revision 1.22  2002/11/17 16:34:10  aflinta
- updated to version 0.10

Revision 1.21  2002/10/22 18:18:40  malekith
- release 9

Revision 1.20  2002/10/17 11:10:07  mmazur
- moved from DEVEL (I hope)

Revision 1.18.2.6  2002/10/16 12:58:40  wiget
- more Requires
- release 8

Revision 1.18.2.5  2002/10/14 14:13:38  malekith
- r: docbook-dtd412-xml >= 1.0-10

Revision 1.18.2.4  2002/10/14 13:52:02  malekith
- r: docbook-style-xsl in recent version
- release 7

Revision 1.18.2.3  2002/10/06 14:58:14  qboosh
- Conflicts broken docbook-style-xsl; release 6

Revision 1.18.2.2  2002/10/02 08:56:57  trojan
- added BR: libxslt-progs
- release 5

Revision 1.18.2.1  2002/09/30 16:09:15  wiget
- added xml.patch
- release 4

Revision 1.18  2002/07/03 08:26:42  ankry
- adapterized

Revision 1.17  2002/07/02 12:42:11  ankry
- added -common subpacage containing common dirs for gtk-doc generated
  documentation
- release 3, STBR

Revision 1.16  2002/06/05 07:08:09  wiget
require fixed docbook-utils package, release 2

Revision 1.15  2002/05/30 12:39:50  kloczek
- use new %doc.

Revision 1.14  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/26 12:39:40  michuz
- updated to 0.9

Revision 1.12  2002/04/25 16:31:02  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/01 20:31:48  kloczek
- updated to 0.7,
- removed obsoletes pubid patch,
- regenerate also automake files.

Revision 1.7  2001/11/29 21:33:08  filon
- fixed broken %%doc
- release 3

Revision 1.6  2001/09/28 09:28:16  qboosh
- added Source0 URL (note: there is 0.7 on ftp)

Revision 1.5  2001/08/29 03:50:59  agaran
ac25 ready

Revision 1.4  2001/06/17 18:04:51  kloczek
- release 2.

Revision 1.3  2001/06/15 15:57:59  baggins
- fixed gzipping docs

Revision 1.2  2001/04/13 22:36:21  kloczek
- added gzipping %doc.

Revision 1.1  2001/04/06 16:15:49  klakier
- adapted from rawhide
